Änderungen an uiae und asdf

This commit is contained in:
pascal 2009-01-04 23:34:09 +00:00
parent 0f4bced4b0
commit 7d473921af
1 changed files with 19 additions and 13 deletions

View File

@ -1244,6 +1244,12 @@ die() {
exit 1
}
numlock_manually() {
echo "\$1" >&2
echo "Please turn Numlock \$2 and press Enter to continue." >&2
read
}
set_xmodmap() {
if [ -e "\${PATH_XMODMAP}" ]; then
if [ -f "\$@" ]; then
@ -1291,26 +1297,26 @@ if [ -z \${DISPLAY} ]; then
set_keymap "\${NEO_CONSOLE_KEYMAP}"
if [ -e "\${PATH_SETLEDS}" ]; then
"\${PATH_SETLEDS}" +num || die "Failed to set NUM status."
"\${PATH_SETLEDS}" +num || numlock_manually "Failed to set NUM status." on
else
die "setleds does not exist, cannot set NUM status."
numlock_manually "setleds does not exist, cannot set NUM status." on
fi
else
if [ -e "\${PATH_NUMLOCKX}" ]; then
"\${PATH_NUMLOCKX}" off || die "Failed to turn off Numlock."
"\${PATH_NUMLOCKX}" off || numlock_manually "Failed to turn off Numlock." off
else
die "numlockx not found, cannot turn off Numlock."
numlock_manually "numlockx not found, cannot turn off Numlock." off
fi
if [ -e "\${PATH_XSET}" ]; then
for modifier in 51 94; do
"\${PATH_XSET}" -r \${modifier} || die "Failed to unset repeat for modifier \${modifier}."
"\${PATH_XSET}" -r \${modifier} || echo "Failed to unset repeat for modifier \${modifier}." >&2
done
for deadkey in 21 35 49; do
"\${PATH_XSET}" -r \${deadkey} || die "Failed to unset repeat for deadkey \${deakey}."
"\${PATH_XSET}" -r \${deadkey} || echo "Failed to unset repeat for deadkey \${deakey}." >&2
done
else
die "xset not found, cannot set modifiers and dead keys."
echo "xset not found, cannot set modifiers and dead keys." >&2
fi
case "\${NEO_X_VARIANTE}" in
@ -1426,23 +1432,23 @@ if [ -z \${DISPLAY} ]; then
if [ -e "\${PATH_SETLEDS}" ]; then
if [ "\${NUM_LOCK_STATUS}" = "on" ]; then
"\${PATH_SETLEDS}" -num || die "Failed to set num lock status to on."
"\${PATH_SETLEDS}" -num || echo "Failed to set num lock status to on." >&2
else
"\${PATH_SETLEDS}" +num || die "Failed to set num lock status to off."
"\${PATH_SETLEDS}" +num || echo "Failed to set num lock status to off." >&2
fi
else
die "setleds does not exist, cannot set NUM status."
echo "setleds does not exist, cannot set NUM status." >&2
fi
else
if [ -e "\${PATH_XSET}" ]; then
for modifier in 51 94; do
"\${PATH_XSET}" r \${modifier} || die "Failed to set repeat for modifier \${modifier}."
"\${PATH_XSET}" r \${modifier} || echo "Failed to set repeat for modifier \${modifier}." >&2
done
for deadkey in 21 35 49; do
"\${PATH_XSET}" r \${deadkey} || die "Failed to set repeat for deadkey \${deakey}."
"\${PATH_XSET}" r \${deadkey} || echo "Failed to set repeat for deadkey \${deakey}." >&2
done
else
die "xset not found, cannot set modifiers and dead keys."
echo "xset not found, cannot set modifiers and dead keys." >&2
fi
case "\${STD_X_VARIANTE}" in